#ifndef __DOWNLOAD_PROPERTIES_H__
#define __DOWNLOAD_PROPERTIES_H__

#include <glib-object.h>
#include <project-item.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define DOWNLOAD_PROPERTIES(obj)           G_TYPE_CHECK_INSTANCE_CAST (obj, download_properties_get_type (), DownloadProperties)
#define DOWNLOAD_PROPERTIES_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST (klass, download_properties_get_type (), DownloadPropertiesClass)
#define IS_DOWNLOAD_PROPERTIES(obj)        G_TYPE_CHECK_INSTANCE_TYPE (obj, download_properties_get_type ())


typedef struct _DownloadProperties        DownloadProperties;
typedef struct _DownloadPropertiesClass   DownloadPropertiesClass;

struct _DownloadProperties
{
    GObject object;

    /*< private >*/
    GtkWidget *dialog;
    GtkWidget *vbox;
    GtkWidget *url_entry;
    GtkWidget *target_filename;
    GtkWidget *recursive;
    GtkWidget *recursive_count;
    GtkWidget *recursive_count_label;
    GtkWidget *speedlimit;
    GtkWidget *speedlimit_count;
    GtkWidget *speedlimit_count_label;

    /* Settings */
    ProjectItem *item;
    guint fd;
};

struct _DownloadPropertiesClass
{
    GObjectClass parent_class;
};

GType           	download_properties_get_type    (void);
DownloadProperties* download_properties_new         (guint fd,
                                                     GtkWindow *parent);

void    download_properties_start           (DownloadProperties *dp);
void    download_properties_set             (DownloadProperties *dp,
                                             ProjectItem *item);
void    download_properties_unset           (DownloadProperties *dp,
                                             guint items);
void    download_properties_sensitive_set   (DownloadProperties *dp,
                                             gboolean setting);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __DOWNLOAD_PROPERTIES_H__ */
