static GnomeUIInfo file_menu [] = {
	GNOMEUIINFO_MENU_NEW_ITEM(N_("_New download"),
							N_("Download a new URL"),
							gdownman_download_new, NULL),
	GNOMEUIINFO_ITEM_STOCK (N_("New _project"),
							N_("Create a new project"),
							gdownman_project_new, GTK_STOCK_NEW),

	GNOMEUIINFO_SEPARATOR,

	GNOMEUIINFO_MENU_EXIT_ITEM(gdownman_quit, NULL),
	GNOMEUIINFO_END
};

static GnomeUIInfo edit_menu [] = {
	GNOMEUIINFO_ITEM_STOCK (N_("Select Done"),
							N_("Select all finished downloads"),
							gdownman_select_done, GTK_STOCK_YES),
	GNOMEUIINFO_ITEM_STOCK (N_("Select Active"),
							N_("Select all active downloads"),
							gdownman_select_active, GTK_STOCK_EXECUTE),
	GNOMEUIINFO_ITEM_STOCK (N_("Select Stopped"),
							N_("Select all stopped downloads"),
							gdownman_select_stop, GTK_STOCK_STOP),
	GNOMEUIINFO_ITEM_STOCK (N_("Select Queued"),
							N_("Select all queued downloads"),
							gdownman_select_queue, GTK_STOCK_DND_MULTIPLE),
	GNOMEUIINFO_MENU_SELECT_ALL_ITEM(gdownman_select_all, NULL),
	GNOMEUIINFO_ITEM_STOCK (N_("Select Matched..."),
							N_("Select all matched downloads"),
							gdownman_select_matched, GTK_STOCK_INDEX),
	GNOMEUIINFO_END
};

static GnomeUIInfo view_menu [] = {
	GNOMEUIINFO_TOGGLEITEM (N_("Toolbar"),
							N_("Change the visibility of the toolbar"),
							gdownman_checkmenuitem_switch, NULL),
	GNOMEUIINFO_TOGGLEITEM (N_("Statusbar"),
							N_("Change the visibility of the statusbar"),
							gdownman_checkmenuitem_switch, NULL),
	GNOMEUIINFO_SEPARATOR,

    GNOMEUIINFO_ITEM_STOCK (N_("Servers"),
                            N_("Show the servers dialog"),
                            gdownman_servers_show, NULL),
	GNOMEUIINFO_END
};


static GnomeUIInfo project_menu [] = {
	GNOMEUIINFO_ITEM_STOCK (N_("Project properties"),
							N_("Show project properties"),
							gdownman_project_properties, GTK_STOCK_PROPERTIES),
	GNOMEUIINFO_ITEM_STOCK (N_("_Delete project"),
							N_("Delete current project"),
							gdownman_project_delete, GTK_STOCK_DELETE),
	GNOMEUIINFO_END
};

static GnomeUIInfo download_menu [] = {
    GNOMEUIINFO_ITEM_STOCK (N_("Download properties"), N_("Show download properties"),
                        gdownman_download_properties, GTK_STOCK_PROPERTIES),
	GNOMEUIINFO_ITEM_STOCK(N_("Start download"), N_("Start selected downloads"),
						gdownman_download_start, GTK_STOCK_EXECUTE),
	GNOMEUIINFO_ITEM_STOCK(N_("Stop download"), N_("Stop selected downloads"),
						gdownman_download_stop, GTK_STOCK_STOP),
	GNOMEUIINFO_ITEM_STOCK(N_("Queue download"), N_("Queue selected downloads"),
						gdownman_download_queue, GTK_STOCK_DND_MULTIPLE),

	GNOMEUIINFO_SEPARATOR,

	GNOMEUIINFO_ITEM_STOCK(N_("Delete download"), N_("Delete selected downloads"),
						gdownman_download_delete, GTK_STOCK_DELETE),
	GNOMEUIINFO_END
};

static GnomeUIInfo help_menu [] = {
    GNOMEUIINFO_MENU_ABOUT_ITEM (gdownman_about, NULL),

    GNOMEUIINFO_END
};

static GnomeUIInfo menu [] = {
    GNOMEUIINFO_MENU_FILE_TREE(file_menu),
    GNOMEUIINFO_MENU_EDIT_TREE(edit_menu),
    GNOMEUIINFO_MENU_VIEW_TREE(view_menu),
    GNOMEUIINFO_SUBTREE(N_("_Project"), project_menu),
    GNOMEUIINFO_SUBTREE(N_("_Download"), download_menu),
    GNOMEUIINFO_MENU_HELP_TREE(help_menu),
    GNOMEUIINFO_END
};

static GnomeUIInfo toolbar [] = {
	GNOMEUIINFO_ITEM_STOCK (N_("New"), N_("Download a new URL"),
						gdownman_download_new, GTK_STOCK_NEW),

	GNOMEUIINFO_SEPARATOR,

	GNOMEUIINFO_ITEM_STOCK (N_("Start"), N_("Start selected downloads"),
						gdownman_download_start, GTK_STOCK_EXECUTE),
	GNOMEUIINFO_ITEM_STOCK (N_("Stop"), N_("Stop selected downloads"),
						gdownman_download_stop, GTK_STOCK_STOP),
	GNOMEUIINFO_ITEM_STOCK (N_("Queue"), N_("Queue selected downloads"),
						gdownman_download_queue, GTK_STOCK_DND_MULTIPLE),

	GNOMEUIINFO_SEPARATOR,

	GNOMEUIINFO_ITEM_STOCK (N_("Delete"), N_("Delete selected downloads"),
						gdownman_download_delete, GTK_STOCK_DELETE),

    GNOMEUIINFO_SEPARATOR,
    
    GNOMEUIINFO_ITEM_STOCK (N_("Properties"), N_("Show download properties"),
                        gdownman_download_properties, GTK_STOCK_PROPERTIES),
    GNOMEUIINFO_ITEM_STOCK (N_("Project"), N_("Show project properties"),
                        gdownman_project_properties, GTK_STOCK_PROPERTIES),
	GNOMEUIINFO_END
};
