#ifndef __NEW_URL_H__
#define __NEW_URL_H__

#include <glib-object.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define NEW_URL(obj)           G_TYPE_CHECK_INSTANCE_CAST (obj, new_url_get_type (), NewUrl)
#define NEW_URL_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST (klass, new_url_get_type (), NewUrlClass)
#define IS_NEW_URL(obj)        G_TYPE_CHECK_INSTANCE_TYPE (obj, new_url_get_type ())


typedef struct _NewUrl        NewUrl;
typedef struct _NewUrlClass   NewUrlClass;

struct _NewUrl
{
    GObject object;

    /*< private >*/
    ProjectSettings *settings;

    /* The main new url dialog */
    GtkWidget *dialog;
    GtkWidget *url_entry;
    GtkWidget *download_manually;

    /* The new url options dialog */
    GtkWidget *dialog_options;
    GtkWidget *default_folder;
    GtkWidget *target_folder;
    GtkWidget *recursive;
    GtkWidget *recursive_count;
    GtkWidget *recursive_count_label;
    GtkWidget *speedlimit;
    GtkWidget *speedlimit_count;
    GtkWidget *speedlimit_count_label;

    /* Settings */
    guint project;
    guint fd;
};

struct _NewUrlClass
{
    GObjectClass parent_class;
};

GType           new_url_get_type        (void);
NewUrl*         new_url_new             (guint project,
                                         ProjectSettings *project_settings,
                                         guint fd);

void            new_url_start           (NewUrl *newurl);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __NEW_URL_H__ */
