#ifndef __PROJECT_PROPERTIES_H__
#define __PROJECT_PROPERTIES_H__

#include <glib-object.h>
#include <gtk/gtkdialog.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define PROJECT_PROPERTIES(obj)           G_TYPE_CHECK_INSTANCE_CAST (obj, project_properties_get_type (), ProjectProperties)
#define PROJECT_PROPERTIES_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST (klass, project_properties_get_type (), ProjectPropertiesClass)
#define IS_PROJECT_PROPERTIES(obj)        G_TYPE_CHECK_INSTANCE_TYPE (obj, project_properties_get_type ())


typedef struct _ProjectProperties       ProjectProperties;
typedef struct _ProjectPropertiesClass  ProjectPropertiesClass;

struct _ProjectProperties
{
    GtkDialog dialog;

    /*< private >*/

    GtkWidget *vbox;
    GtkWidget *name;
    GtkWidget *autodownload;    /* Checkbutton */
    GtkWidget *maxdownloads;    /* Spinbuton */
    gint *maxdownloads_set;

    Project *project;
};

struct _ProjectPropertiesClass
{
    GtkDialogClass parent_class;
};

GType       project_properties_get_type (void);
GtkWidget*  project_properties_new      (Project *project, gchar *title,
                                         GtkWindow *parent);

void    project_properties_project_set  (ProjectProperties * project_properties,
                                         Project *project);
void    project_properties_sensitive_set (ProjectProperties *dp,
                                          gboolean setting);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PROJECT_PROPERTIES_H__ */
