#ifndef __PROJECT_SETTINGS_H__
#define __PROJECT_SETTINGS_H__

#include <glib-object.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define PROJECT_SETTINGS(obj)           G_TYPE_CHECK_INSTANCE_CAST (obj, project_settings_get_type (), ProjectSettings)
#define PROJECT_SETTINGS_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST (klass, project_settings_get_type (), ProjectSettingsClass)
#define IS_PROJECT_SETTINGS(obj)        G_TYPE_CHECK_INSTANCE_TYPE (obj, project_settings_get_type ())


typedef struct _ProjectSettings       ProjectSettings;
typedef struct _ProjectSettingsClass  ProjectSettingsClass;

struct _ProjectSettings
{
    GObject object;

    /*< private >*/
    guint id;
    gchar *path;
    guint automatic_download;
    guint maxdownloads;
};

struct _ProjectSettingsClass
{
    GObjectClass parent_class;
};

GType               project_settings_get_type       (void);
ProjectSettings*    project_settings_new            ();

void    project_settings_id_set             (ProjectSettings *project_settings,
                                             guint id);
guint   project_settings_id_get             (ProjectSettings *project_settings);
void    project_settings_path_set           (ProjectSettings *project_settings,
                                             const gchar *path);
const gchar *   project_settings_path_get   (ProjectSettings *project_settings);
void    project_settings_autodownload_set   (ProjectSettings *project_settings,
                                             guint auto_download);
guint   project_settings_autodownload_get   (ProjectSettings *project_settings);
void    project_settings_maxdownloads_set   (ProjectSettings *project_settings,
                                             guint max_downloads);
guint   project_settings_maxdownloads_get   (ProjectSettings *project_settings);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PROJECT_SETTINGS_H__ */
